Finally,, customers is about to replace hi's NW 6.0 servers.
But to make this easy, we'd like install the new server into the same

I've read reports that 8.7.3 should/would be OK on NW6.0 though it
isn't "supported".

So, question is; should I update the current 6.0 server to 8.7.3 as is
or should the "patches" for 8.7.3 be applied also before going ahead
with the 6.5/8.8.x servers ?

Post install = SP10 for 8.7.3 and FTF post SP10